Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.reactor
Interface ConnectingIOReactor

All Superinterfaces:
  IOReactor

All Known Implementing Classes:
  DefaultConnectingIOReactor

    public interface ConnectingIOReactor

extends IOReactor

ConnectingIOReactor represents an I/O reactor capable of establishing connections to remote hosts.

Since:
  4.0

Method Summary
`SessionRequest` | `connect(SocketAddress remoteAddress, SocketAddress localAddress, Object attachment, SessionRequestCallback callback)` Requests a connection to a remote host.

Methods inherited from interface org.apache.http.nio.reactor.IOReactor
`execute, getStatus, shutdown, shutdown`

Method Detail

### connect

    SessionRequest connect(SocketAddress remoteAddress,
                           SocketAddress localAddress,
                           Object attachment,
                           SessionRequestCallback callback)

  Requests a connection to a remote host.

  Opening a connection to a remote host usually tends to be a time consuming process and may take a while to complete. One can monitor and control the process of session initialization by means of the `SessionRequest` interface.

  There are several parameters one can use to exert a greater control over the process of session initialization:

  A non-null local socket address parameter can be used to bind the socket to a specific local address.

  An attachment object can added to the new session's context upon initialization. This object can be used to pass an initial processing state to the protocol handler.

  It is often desirable to be able to react to the completion of a session request asynchronously without having to wait for it, blocking the current thread of execution. One can optionally provide an implementation `SessionRequestCallback` instance to get notified of events related to session requests, such as request completion, cancellation, failure or timeout.

  Parameters:
    `remoteAddress` - the socket address of the remote host.
    `localAddress` - the local socket address. Can be `null`, in which can the default local address and a random port will be used.
    `attachment` - the attachment object. Can be `null`.
    `callback` - interface. Can be `null`.
  Returns:
    session request object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.